# Fragen zur Selbstkontrolle #

Für die Klausurvorbereitung.

## Verschiedene Fragen über Dim ##

1. Sei V ein Vektorraum und 0 ∈ V der Nullvektor. Was ist dim({0}) ?
2. Sei V ein Vektorraum und u₁, u₂, u₃, u₄ ∈ V. Was sind mögliche Werte von dim(lin{u₁, u₂, u₃, u₄}) ?
3. Gib die Dimensionsformel für Vektorräume an.
4. Seien W ein Vektorraum und U, V ⊆ W lineare Unterräume.
    Angenommen, dim(W) = 10 und dim(U) = 6 und dim(V) = 8.
    Was sind die möglichen Werte von dim(U ∩ V)?
5. Gib die Dimensionsformel für lineare Abbildungen an.
6. ρ : U ⟶ V sei eine injektive lineare Abbildung. Was können wir über dim(U) und dim(V) sagen?
7. Wie wird der Rang einer linearen Abbildung, ψ : U ⟶ V definiert?

## Verschiedene Fragen über Basis ##

1. Gib eine Basis für den Vektorraum alle Polynome ≤ 4. Grades über ℝ an.
2. Gib eine Basis für den Vektorraum alle 3 x 4 Matrizen an. Was ist die Dimension dieses Vektorraums?
3. Was ist die Dimension des Vektorraums aller m x n Matrizen?
4. Wie bestimmt man die Basis des Lösungsraums einer Matrix?
5. Wie bestimmt man die Basis des Spaltenraums einer Matrix?

## Verschiedene Fragen über axiomatische Relationstypen ##

1. Was sind die Axiome einer partiellen Ordnungsrelation?
2. Was muss zusätzlich gelten, damit eine partielle Ordnungsrelation eine lineare Ordnungsrelation (auch »total« genannt) ist?
3. Was sind die Axiome einer Äquivalenzrelation?

## Verschiedene Aspekte von Beweisen ##

In jedem der Aufgaben (ohne sie die Beweise komplett auszuführen), bestimme,
(1) **was _zu zeigen_ ist** und (2) **wie man einen Beweis strukturieren kann**.

### Aufgabe 1. ###

    Sei W ein Vektorraum über einem Körper, K.
    Seien U, V lineare Unterräume von W.
    Zeige, dass U ∩ V ein lineare Unterraum von W ist.

### Aufgabe 2. ###

    Sei ψ : U ⟶ U eine lineare Abbildung, wobei U ein Vektorraum über Körper K ist.
    Sei λ ∈ K.
    Ein Vektor, x, heißt Eigenvektor mit Eigenwert λ, wenn ψ(x) = λx.
    Zeige, dass ρ genau dann einen Eigenvektor mit Eigenwert λ besitzt, wenn dim(Kern(ψ - λ)) > 0.

(_Hier bezeichnet ψ - λ die lineare Abbildung U ⟶ U, x ⟼ ψ(x) - λx._)
